Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class DispatchPhase

    java.lang.Object
      org.apache.axis2.engine.Phase
          org.apache.axis2.engine.DispatchPhase

All Implemented Interfaces:
  Handler

    public class DispatchPhase

extends Phase

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.engine.Phase
`ALL_PHASES`

Constructor Summary
`DispatchPhase()`
`DispatchPhase(java.lang.String phaseName)`

Method Summary
`void` | `checkPostConditions(MessageContext msgContext)` Confirm that all post-conditions of this Phase are met.

Methods inherited from class org.apache.axis2.engine.Phase
`addHandler, addHandler, addHandler, checkPreconditions, cleanup, flowComplete, getHandlerCount, getHandlerDesc, getHandlers, getName, getParameter, getPhaseName, init, invoke, removeHandler, setName, setPhaseFirst, setPhaseLast, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DispatchPhase

    public DispatchPhase()

### DispatchPhase

    public DispatchPhase(java.lang.String phaseName)

Method Detail

### checkPostConditions

    public void checkPostConditions(MessageContext msgContext)
                             throws AxisFault

  Description copied from class: `Phase`
  Confirm that all post-conditions of this Phase are met. After all Handlers in a Phase are invoke()d, this method will be called. Subclasses should override it in order to confirm that the purpose of the given Phase has been acheived.

  Overrides:
    `checkPostConditions` in class `Phase`
  Parameters:
    `msgContext` - the active MessageContext
  Throws:
    `AxisFault` - if a post-condition has not been met, or other problems occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.